---
title: "apigee/ERR/2022_002"
linkTitle: "ERR/2022_002"
weight: 1
type: docs
description: >

---

**Product**: [Apigee API Management](https://cloud.google.com/apigee)\
**Rule class**: ERR - Something that is very likely to be wrong


### Description

Apigee X uses a database encryption key, to encrypts the application-level data stored in the database
and a disk encryption key to encrypts runtime instance data before it is written to disk.

Verify that the runtime database encryption key and disk encryption key are not disabled or destroyed and
the Apigee Service Agent account has the `cloudkms.cryptoKeyEncrypterDecrypter` role to access the KMS keys.


### Remediation

[View current IAM policy on the kms keys](https://cloud.google.com/kms/docs/iam#viewing_permissions_on_a_resource) and ensure that you have the following binding in the IAM policy for the kms keys:
- Principal: `service-PROJECT_NUMBER@gcp-sa-apigee.iam.gserviceaccount.com`
- Role: `roles/cloudkms.cryptoKeyEncrypterDecrypter`

If not, please [grant the above role](https://cloud.google.com/kms/docs/iam#granting_roles_on_a_resource) on the kms key.

### Further information

- [About the Apigee encryption keys](https://cloud.google.com/apigee/docs/api-platform/security/encryption-keys)
