---
title: "bigquery/WARN/2022_002"
linkTitle: "WARN/2022_002"
weight: 1
type: docs
description: >
  BigQuery does not violate column level security
---

**Product**: [BigQuery](https://cloud.google.com/bigquery)\
**Rule class**: WARN - Something that is possibly wrong

### Description

BigQuery provides fine-grained access to sensitive columns using policy tags.
Using BigQuery column-level security, you can create policies that check, at
query time, whether a user has proper access.

### Remediation

The Data Catalog Fine-Grained Reader role is required for users who need access
to data in secured columns. You can find who voilates the access permission by
taking a look the "authenticationInfo" from Cloud Logging and grant proper role
to the user if needed.

### Further information

- [Introduction to column-level access
  control](https://cloud.google.com/bigquery/docs/column-level-security-intro)
- [Data Catalog IAM](https://cloud.google.com/data-catalog/docs/concepts/iam)
