---
title: "datafusion/ERR/2022_002"
linkTitle: "ERR/2022_002"
weight: 1
type: docs
description: >
  Private Data Fusion instance has valid host VPC IP range.
---

**Product**: [Cloud Data Fusion](https://cloud.google.com/data-fusion)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Cloud Data Fusion runs in a Google managed tenant project.
Private Data Fusion instances using a shared VPC network
require a large enough internal IP range to create all of
the required Data Fusion resources in the tenant project.


### Remediation

- If your Cloud Data Fusion is private and uses a shared VPC
you must enable the `Service Networking API` in the host project.

- Once `Service Networking API` is enabled, you are then able to
allocate an IP range of at least size `/22` to be used to create
the Data Fusion instance resources in the Google managed project.

### Further information

- You can find step-by-step details in the [Allocate an IP range](https://cloud.google.com/data-fusion/docs/how-to/create-private-ip#shared-vpc-network)
Data Fusion private instance guide.
