---
title: "datafusion/ERR/2022_003"
linkTitle: "ERR/2022_003"
weight: 1
type: docs
description: >
  Private Data Fusion instance is peered to the tenant project.
---

**Product**: [Cloud Data Fusion](https://cloud.google.com/data-fusion)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Cloud Data Fusion runs in a Google managed tenant project.
Private Data Fusion instances are required to be peered to
the user's VPC network to enable communication with jobs.


### Remediation

- The name of the tenant project VPC network name to be
  peered is 'INSTANCE_REGION-INSTANCE_ID'.

- The peered connection needs to import custom routes
  so that you can access the Data Fusion UI.

- The peered connection needs to export custom routes
  so that Data Fusion can access any on-prem resources.


### Further information

- You can find step-by-step details in the [Create a peering connection](https://cloud.google.com/data-fusion/docs/how-to/create-private-ip#create_a_peering_connection)
  Data Fusion private instance guide.
