---
title: "gcf/WARN/2021_002"
linkTitle: "WARN/2021_002"
weight: 1
type: docs
description: >
  Cloud Functions have no scale up issues.
---

**Product**: [Cloud Functions](https://cloud.google.com/functions)\
**Rule class**: WARN - Something that is possibly wrong

### Description

Cloud Functions infrastructure is not able to scale up instances fast enough to handle the incoming load for the function.

### Remediation

You can use the following filter to find matching log lines:

```
resource.type="cloud_function"
log_id("cloudfunctions.googleapis.com/cloud-functions")
textPayload:"The request was aborted because there was no available instance"
```

### Further information

The additional troubleshooting documentation can be found at https://cloud.google.com/functions/docs/troubleshooting#scalability.
