---
title: "gke/BP/2022_004"
linkTitle: "BP/2022_004"
weight: 1
type: docs
description: >
  GKE clusters should have HTTP load balancing enabled to use GKE ingress.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: BP - Best practice, opinionated recommendation

### Description

If this is disabled GKE ingresses will be stuck in the creating state. Similarly, if this is disabled after GKE ingresses have been created but before they are deleted they will be stuck in the deleting state. It is also recommended to use container-native load balancing on GKE which requires that HTTP load balancing is enabled.

### Remediation

Enable HTTP load balancing on the GKE cluster to allow creation/deletion of GKE ingresses.

### Further information

- [GKE Ingress](https://cloud.google.com/kubernetes-engine/docs/tutorials/http-balancer#ingress)
- [Container-native load balancing](https://cloud.google.com/kubernetes-engine/docs/concepts/ingress#container-native_load_balancing)
- [Requirements for container-native load balancing on GKE](https://cloud.google.com/kubernetes-engine/docs/concepts/container-native-load-balancing#requirements)
